API Reference2026-02-18 (Latest)Merchants
Get payments for a merchant
Deprecated
GET
apiKeyLegacyheader
X-Api-Key<token>Deprecated. Legacy service API key for path-based routes. Api-Key header is also accepted for backward compatibility.
merchant_id*stringstart_ts?stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timeend_ts?stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timeasset?stringnetwork?stringsort_by?stringValue in
"date""amount"sort_dir?stringValue in
"asc""desc"cursor?stringlimit?integerRange
1 <= value <= 200status?|array<>Payments with statistics
application/json- response
data*array<>next_cursor?string|nullstats*curl -X GET 'https://api.pay.walletconnect.com/v1/merchants/string/payments'{ "data": [ { "payment_id": "string", "merchant_id": "string", "reference_id": "string", "status": "requires_action", "is_terminal": true, "wallet_name": "string", "chain_id": "string", "buyer_caip10": "string", "token_caip19": "string", "tx_hash": "string", "nonce": 0, "token_amount": "string", "fiat_amount": -2147483648, "fiat_currency": "string", "created_at": "string", "last_updated_at": "string", "settled_at": "string", "settlement_status": "string", "settlement_tx_hash": "string", "token_symbol": "string", "token_decimals": -9007199254740991, "token_logo": "string", "chain_logo": "string", "wallet_logo": "string" } ], "next_cursor": "string", "stats": { "total_customers": 0, "total_revenue": { "amount": 0, "currency": "string" }, "total_transactions": 0 }}